Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.transport.socket.nio
Class SocketConnector

    java.lang.Object
      org.apache.mina.common.support.BaseIoService
          org.apache.mina.common.support.BaseIoConnector
              org.apache.mina.transport.socket.nio.SocketConnector

All Implemented Interfaces:
  IoConnector, IoService

    public class SocketConnector

extends org.apache.mina.common.support.BaseIoConnector

`IoConnector` for socket transport (TCP/IP).

Version:
  $Rev: 389042 $, $Date: 2006-03-27 07:49:41Z $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Constructor Summary
`SocketConnector()` Create a connector with a single processing thread using a NewThreadExecutor
`SocketConnector(int processorCount, Executor executor)` Create a connector with the desired number of processing threads

Method Summary
`ConnectFuture` | `connect(SocketAddress address, IoHandler handler, IoServiceConfig config)` Connects to the specified `address`.
`ConnectFuture` | `connect(SocketAddress address, SocketAddress localAddress, IoHandler handler, IoServiceConfig config)` Connects to the specified `address`.
`SocketConnectorConfig` | `getDefaultConfig()` Returns the default configuration which is used when you didn't specify any configuration.
`int` | `getWorkerTimeout()` How many seconds to keep the connection thread alive between connection requests
`void` | `setDefaultConfig(SocketConnectorConfig defaultConfig)` Sets the config this connector will use by default.
`void` | `setWorkerTimeout(int workerTimeout)` Set how many seconds the connection worker thread should remain alive once idle before terminating itself.

Methods inherited from class org.apache.mina.common.support.BaseIoConnector
`connect, connect`

Methods inherited from class org.apache.mina.common.support.BaseIoService
`addListener, getFilterChain, getFilterChainBuilder, getListeners, getManagedServiceAddresses, getManagedSessions, isManaged, removeListener, setFilterChainBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.mina.common.IoService
`addListener, getFilterChain, getFilterChainBuilder, getManagedServiceAddresses, getManagedSessions, isManaged, removeListener, setFilterChainBuilder`

Constructor Detail

### SocketConnector

    public SocketConnector()

  Create a connector with a single processing thread using a NewThreadExecutor

### SocketConnector

    public SocketConnector(int processorCount,
                           Executor executor)

  Create a connector with the desired number of processing threads

  Parameters:
    `processorCount` - Number of processing threads
    `executor` - Executor to use for launching threads

Method Detail

### getWorkerTimeout

    public int getWorkerTimeout()

  How many seconds to keep the connection thread alive between connection requests

  Returns:
    the number of seconds to keep connection thread alive. 0 means that the connection thread will terminate immediately when there's no connection to make.

### setWorkerTimeout

    public void setWorkerTimeout(int workerTimeout)

  Set how many seconds the connection worker thread should remain alive once idle before terminating itself.

  Parameters:
    `workerTimeout` - the number of seconds to keep thread alive. Must be >=0. If 0 is specified, the connection worker thread will terminate immediately when there's no connection to make.

### connect

    public ConnectFuture connect(SocketAddress address,
                                 IoHandler handler,
                                 IoServiceConfig config)

  Description copied from interface: `IoConnector`
  Connects to the specified `address`. If communication starts successfully, events are fired to the specified `handler`.

    `config` - the configuration
  Returns:
    `ConnectFuture` that will tell the result of the connection attempt

### connect

    public ConnectFuture connect(SocketAddress address,
                                 SocketAddress localAddress,
                                 IoHandler handler,
                                 IoServiceConfig config)

  Description copied from interface: `IoConnector`
  Connects to the specified `address`. If communication starts successfully, events are fired to the specified `handler`.

    `config` - the configuration
  Returns:
    `ConnectFuture` that will tell the result of the connection attempt

### getDefaultConfig

    public SocketConnectorConfig getDefaultConfig()

  Description copied from interface: `IoService`
  Returns the default configuration which is used when you didn't specify any configuration.

### setDefaultConfig

    public void setDefaultConfig(SocketConnectorConfig defaultConfig)

  Sets the config this connector will use by default.

  Parameters:
    `defaultConfig` - the default config.
  Throws:
    `NullPointerException` - if the specified value is `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.